<div class="priorization">
  <div class="priorization__header">
    <h2 class="title">Priorization</h2>
    <p class="description">
      Based on the charges included in the previous sections, you must select
      the <br />repayment prioritization ranking in ascending order. This will
      the determine <br />
      how each payment divides to cover each one of the charges proportionally.
      <br />
      The default order is our recommended option.
    </p>
  </div>
  <div class="priorization__body">
    <layout-order-card
      *ngFor="let charge of chargeList; let i = index"
      [title]="charge?.name"
      [value]="charge.priorization"
      [max]="chargeList.length"
      [canDelete]="charge?.canBeDeleted"
      (updateValue)="onUpdatePriorization($event, i)"
      (delete)="onDeleteCharge(i)"
    >
    </layout-order-card>
    <p
      class="restart-order"
      [ngClass]="{ 'restart-order--disabled': isDisabledRestartOrder }"
      (click)="onRestartOrder()"
    >
      Back to default order
    </p>
  </div>

  <div class="priorization__buttons">
    <mo-button
      text="Back"
      [designClass]="BUTTON_DESIGN_CLASS.OUTLINE_PRIMARY_DARK"
      [size]="SIZES.MD"
      (click)="onGoBack()"
    >
    </mo-button>
    <mo-button
      text="Continue"
      [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
      [size]="SIZES.MD"
      (click)="onContinue()"
    >
    </mo-button>
  </div>
</div>
